#
# Conditional build:
%bcond_without	lxc		# LXC support
%bcond_without	qemu		# Qemu support

# qemu available only on x86 and ppc
%ifnarch %{ix86} %{x8664} x32 ppc
%undefine	with_qemu
%endif

%define		origname	libvirt-python
Summary:	Python 3.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 3.x do współpracy z funkcjami wirtualizacji
Name:		python3-libvirt
Version:	10.4.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	https://download.libvirt.org/python/%{origname}-%{version}.tar.gz
# Source0-md5:	9de183b6b413dab008b7aa1ac9d0fd73
URL:		https://libvirt.org/
BuildRequires:	libvirt-devel >= 10.4.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildConflicts:	python-PyXML < 0.8.4-13
Requires:	libvirt >= 10.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 3.x bindings for the libvirt library.

%description -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 3.x do biblioteki libvirt.

%prep
%setup -q -n %{origname}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py3_sitedir}/libvirtmod.cpython-*.so
%{py3_sitedir}/libvirt.py
%{py3_sitedir}/__pycache__/libvirt.cpython-*.py[co]
%{py3_sitedir}/libvirtaio.py
%{py3_sitedir}/__pycache__/libvirtaio.cpython-*.py[co]
%if %{with lxc}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_lxc.cpython-*.so
%{py3_sitedir}/libvirt_lxc.py
%{py3_sitedir}/__pycache__/libvirt_lxc.cpython-*.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_qemu.cpython-*.so
%{py3_sitedir}/libvirt_qemu.py
%{py3_sitedir}/__pycache__/libvirt_qemu.cpython-*.py[co]
%endif
%{py3_sitedir}/libvirt_python-%{version}-py*.egg-info
%changelog
* Sat Jun 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-libvirt.git;a=log;h=master

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> aec9509
- updated to 10.4.0

* Sat Jun 01 2024 Jakub Bogusz <qboosh@pld-linux.org> dab5841
- updated to 10.3.0

* Wed May 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 207ee4c
- updated to 10.2.0

* Sat Apr 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 21331fa
- updated to 9.10.0

* Wed Oct 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 5234514
- updated to 8.8.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e595440
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 77e3e8e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e172e39
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ab80b8d
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> b07a26d
- release 2 (by relup.sh)

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 89f4ed0
- python-libvirt.spec updated to 6.6.0 for python 3.5+

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 756c07d
- updated to 5.10.0 (last version with python2 support)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9a931e5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> ace7cbf
- up to 5.6.0

* Wed Jul 03 2019 Jan Palus <atler@pld-linux.org> 9af6b60
- up to 5.5.0

* Mon Jun 03 2019 Jan Palus <atler@pld-linux.org> 37d94a0
- up to 5.4.0

* Sun May 05 2019 Jan Palus <atler@pld-linux.org> d5c1f03
- up to 5.3.0

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> cae95e6
- up to 5.2.0

* Thu Mar 07 2019 Jan Palus <atler@pld-linux.org> 312c4c2
- up to 5.1.0

* Wed Jan 16 2019 Jan Palus <atler@pld-linux.org> a3c07ba
- up to 5.0.0

